MyGUI 3.2.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
MyGUI::delegates::IDelegate0 Class Referenceabstract

`#include <MyGUI_Delegate.h>`

Inheritance diagram for MyGUI::delegates::IDelegate0:
[legend]

## Public Member Functions
virtual | ~IDelegate0 ()
virtual bool | isType (const std::type_info &_type)=0
virtual void | invoke ()=0
virtual bool | compare (IDelegate0 *_delegate) const =0
virtual bool | compare (IDelegateUnlink *_unlink) const

## Detailed Description

Definition at line 25 of file MyGUI_Delegate.h.

## Constructor & Destructor Documentation

virtual MyGUI::delegates::IDelegate0::~IDelegate0 | ( |  | ) |
| inline virtual

Definition at line 28 of file MyGUI_Delegate.h.

## Member Function Documentation

virtual bool MyGUI::delegates::IDelegate0::compare | ( | IDelegate0 * | _delegate | ) | const
| pure virtual

Implemented in MyGUI::delegates::CMethodDelegate0< T >, and MyGUI::delegates::CStaticDelegate0.

virtual bool MyGUI::delegates::IDelegate0::compare | ( | IDelegateUnlink * | _unlink | ) | const
| inline virtual

Reimplemented in MyGUI::delegates::CMethodDelegate0< T >, and MyGUI::delegates::CStaticDelegate0.

Definition at line 32 of file MyGUI_Delegate.h.

virtual void MyGUI::delegates::IDelegate0::invoke | ( |  | ) |
| pure virtual

Implemented in MyGUI::delegates::CMethodDelegate0< T >, and MyGUI::delegates::CStaticDelegate0.

virtual bool MyGUI::delegates::IDelegate0::isType | ( | const std::type_info & | _type | ) |
| pure virtual

Implemented in MyGUI::delegates::CMethodDelegate0< T >, and MyGUI::delegates::CStaticDelegate0.

The documentation for this class was generated from the following file:

- MyGUI_Delegate.h